Bug 175991 - [MAINTAINER-UPDATE] from sysutils/zogftw 2013.01.08 to 2013-02-08
Summary: [MAINTAINER-UPDATE] from sysutils/zogftw 2013.01.08 to 2013-02-08
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-09 20:20 UTC by Fabian Keil
Modified: 2013-02-10 08:00 UTC (History)
0 users

See Also:


Attachments
file.txt (1.31 KB, text/plain)
2013-02-09 20:20 UTC, Fabian Keil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2013-02-09 20:20:01 UTC
The attached patch updates sysutils/zogftw from 2013.01.08 to 2013-02-08.

The changes are:
- Add and use zogftw_sudo() and introduce ZOGFTW_SUDO_FLAGS which
  default to '-c -'. This is a workaround for bin/174831 (geli(8)
  segfaults with the new locked memory limit default).
- Make it easier to replace "sudo" with something else.
- "zogftw cmd zogftw_usage -v" works as expected as long as
  zogftw can be reached through the PATH.
- Added the "zcmd" subcommand.
- Be more explicit about zogftw_init() not second-guessing
  locations and permissions.

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2013-02-10 07:59:11 UTC
State Changed
From-To: open->closed

committed thx.
Comment 2 dfilter service freebsd_committer 2013-02-10 07:59:16 UTC
Author: miwi
Date: Sun Feb 10 07:59:04 2013
New Revision: 312005
URL: http://svnweb.freebsd.org/changeset/ports/312005

Log:
  - Update to 2013-02-08
  
  PR:		175991
  Submitted by:	maintainer

Modified:
  head/sysutils/zogftw/Makefile   (contents, props changed)
  head/sysutils/zogftw/distinfo   (contents, props changed)

Modified: head/sysutils/zogftw/Makefile
==============================================================================
--- head/sysutils/zogftw/Makefile	Sun Feb 10 07:58:28 2013	(r312004)
+++ head/sysutils/zogftw/Makefile	Sun Feb 10 07:59:04 2013	(r312005)
@@ -2,10 +2,10 @@
 # $FreeBSD$
 
 PORTNAME=	zogftw
-PORTVERSION=	0.0.2013.01.08
+PORTVERSION=	0.0.2013.02.08
 CATEGORIES=	sysutils
 MASTER_SITES=	http://www.fabiankeil.de/sourcecode/zogftw/
-DISTNAME=	${PORTNAME}-2013-01-08-ebee83e
+DISTNAME=	${PORTNAME}-2013-02-08-3b9e2c2
 
 MAINTAINER=	fk@fabiankeil.de
 COMMENT=	Creates redundant backups on encrypted ZFS pools

Modified: head/sysutils/zogftw/distinfo
==============================================================================
--- head/sysutils/zogftw/distinfo	Sun Feb 10 07:58:28 2013	(r312004)
+++ head/sysutils/zogftw/distinfo	Sun Feb 10 07:59:04 2013	(r312005)
@@ -1,2 +1,2 @@
-SHA256 (zogftw-2013-01-08-ebee83e.tar.gz) = 892bfbda2c193c25cb27b6f7941ebf2581ba6f7174a804ce6f2e3a8f778c4aad
-SIZE (zogftw-2013-01-08-ebee83e.tar.gz) = 15292
+SHA256 (zogftw-2013-02-08-3b9e2c2.tar.gz) = 258c5fd774382bc09cfb4e8cf3e6f66a34c3aad77fbf433404ba9b0462e73af7
+SIZE (zogftw-2013-02-08-3b9e2c2.tar.gz) = 15680
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"